﻿@model IEnumerable<GentlemensGame.Models.Game>

@{
    ViewData["Title"] = "Index";
}
<style>
    div.row {
        margin-top: 50px;
    }

    select {
        width: auto;
        text-align: center;
        width: 100%;
    }

    center {
        margin: auto;
        width: 60%;
        padding: 20px;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .hideform {
        display: none;
    }
</style>



@section Scripts
    {

    <script>
            $('#joinGame').on('click', function () {
                var gameId = $('#gameSelect option:selected').val();
                $.ajax({
                    type: 'POST',
                    url: '@Url.Action("AddGamePlayer", "Games")',
                    data: { id : gameId },
                });
                window.location.replace("Games/Game/" + gameId)
            })

            $('#show').on('click', function () {
                $('.center').show();
                $(this).hide();
            })

            $('#close').on('click', function () {
                $('.center').hide();
                $('#show').show();
            })
            $('#gameName').on('click', function () {         

                $.ajax({
                    type: 'POST',
                    url: '@Url.Action("Create","Games")',
                    data: {
                        name: $('#gameNameValue').val(),
                    },
                    success: function (result) {                  
                       $.ajax({
                            type: 'POST',
                           url: '@Url.Action("AddGamePlayer", "Games")',
                           data: result,
                });
                        window.location.replace("Games/Game/" + result.id)

                    }
                    

                });
             
            })


    </script>
}

<div class="row">
    <div class="col-lg-4">
        <p>Hello!</p>
        <p>Please choose lobby from table or create new.</p>
    </div>
    <div class="col-lg-4">
        <select  id="gameSelect" class="form-control" asp-items="ViewBag.GameId"></select>
    </div>
    <div class="col-lg-3">

        <div class="center hideform">
            <button id="close" style="float: right;">X</button>
            Game name:<br>
            <input type="text" name="gameName" id="gameNameValue">
            <br>
            <br>
            <input type="submit" value="Submit" id="gameName" >
        </div>
        <div>
            <button class="btn-block" id="show">Create game</button>
            <button class="btn-block" id="joinGame"> Join</button>
        </div>
    </div>
</div>